Package org.eclipse.emf.cdo.transaction

# Class CDOAutoAttacher

java.lang.Object
org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1
org.eclipse.emf.cdo.transaction.CDOAutoAttacher

All Implemented Interfaces:
  `CDOTransactionHandler1`, `CDOTransactionHandler1.WithUndo`, `CDOTransactionHandlerBase`

public class CDOAutoAttacher extends CDODefaultTransactionHandler1
A `transaction handler` that automatically attaches cross-referenced objects to the `resource` that contains the referencing `object`.

Since:
  2.0
Author:
  Simon McDuff

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

`CDOTransactionHandler1.WithUndo`

## Constructor Summary

Constructors
Constructor
Description
`CDOAutoAttacher(CDOTransaction transaction)`

## Method Summary

Modifier and Type
Method
Description
`void`
`attachingObject(CDOTransaction transaction, CDOObject object)`
This implementation does nothing.
`CDOTransaction`
`getTransaction()`
`void`
`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
This implementation does nothing.
`protected void`
`persist(EObject res, Object object)`

### Methods inherited from class org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

`detachingObject, handleDefault, undoingObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOAutoAttacher

public CDOAutoAttacher(CDOTransaction transaction)

## Method Details

### getTransaction

public CDOTransaction getTransaction()

### attachingObject

public void attachingObject(CDOTransaction transaction, CDOObject object)
Description copied from class: `CDODefaultTransactionHandler1`
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `attachingObject` in interface `CDOTransactionHandler1`
Overrides:
  `attachingObject` in class `CDODefaultTransactionHandler1`

### modifyingObject

public void modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)
Description copied from class: `CDODefaultTransactionHandler1`
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `modifyingObject` in interface `CDOTransactionHandler1`
Overrides:
  `modifyingObject` in class `CDODefaultTransactionHandler1`

### persist

protected void persist(EObject res, Object object)